	.386
	.model	use32 small

	public	_fabsl
	extrn	allerrl : proc
	.data
nm	db	"fabsl",0

	.code
_fabsl:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	fld	tbyte ptr [ecx]
	fabs
	lea	eax,[nm]
	sub	edx,edx
	call	allerrl
	leave
	ret
	end